Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class AbstractInjectorTestCase

    java.lang.Object
      org.picocontainer.injectors.AbstractInjectorTestCase

    public class AbstractInjectorTestCase

extends Object

Constructor Summary
`AbstractInjectorTestCase()`

Method Summary
`void` | `setUp()`
`void` | `testCaughtIllegalAccessExceptionInvokesMonitorAndThrows()`
`void` | `testCaughtInstantiationExceptionInvokesMonitorAndThrows()`
`void` | `testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsAsCompositionIfNotRuntimeOrError()`
`void` | `testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsErrorIfErrorInTheFirstPlace()`
`void` | `testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsRuntimeIfRuntimeInTheFirstPlace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractInjectorTestCase

    public AbstractInjectorTestCase()

Method Detail

### setUp

    public void setUp()
               throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

### testCaughtIllegalAccessExceptionInvokesMonitorAndThrows

    public void testCaughtIllegalAccessExceptionInvokesMonitorAndThrows()

### testCaughtInstantiationExceptionInvokesMonitorAndThrows

    public void testCaughtInstantiationExceptionInvokesMonitorAndThrows()

### testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsRuntimeIfRuntimeInTheFirstPlace

    public void testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsRuntimeIfRuntimeInTheFirstPlace()

### testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsErrorIfErrorInTheFirstPlace

    public void testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsErrorIfErrorInTheFirstPlace()

### testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsAsCompositionIfNotRuntimeOrError

    public void testCaughtInvocationTargetExceptionInvokesMonitorAndReThrowsAsCompositionIfNotRuntimeOrError()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.